1 (edited by Futureweb 2022-06-20 15:58:58)

Topic: nothing provides redhat-release >= 8.6 needed by remi-release-8.6-1.el

Hey there,
using Virtuozzo Linux release 8.5.0 (Vz) (RHEL Binary Clone like AlmaLinux) but "dnf update" is broken - throwing:

# cat /etc/redhat-release
Virtuozzo Linux release 8.5.0 (Vz)

# rpm -qa | grep release
epel-next-release-8-13.vl8.noarch
remi-release-8.5-2.el8.remi.noarch
epel-release-8-13.vl8.noarch
vzlinux-release-8.5-37.vl8.x86_64

# dnf update
Letzte Prüfung auf abgelaufene Metadaten: vor 2:05:15 am Mo 20 Jun 2022 15:50:50 CEST.
Fehler:
Problem: cannot install the best update candidate for package remi-release-8.5-2.el8.remi.noarch
  - nothing provides redhat-release >= 8.6 needed by remi-release-8.6-1.el8.remi.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Is this something VZ Linux needs to fix or is this a problem with the REMI Repo?

thx
Andy

Re: nothing provides redhat-release >= 8.6 needed by remi-release-8.6-1.el

Message is clear, you need "redhat-release >= 8.6"

As explained in the FAQ
https://blog.remirepo.net/pages/English-FAQ#deps

Packages are build using RHEL 8.6
and can only be used on 8.6 clones

CentOS is ready be design (ahead RHEL)
AlmaLinux, RockyLinux... others... are also on 8.6

So it seems Virtuozzo is late and behind others by weeks

So you have to wait for distribution update.

As explained in error message, you can use "--skip-broken" to temporarily ignore this update
but notice that other issues raised by an outdated distribution can't be supported here.


P.S. Virtuozzo seems very low usage (<0,1% for my repository, don't know if really a good choice...)

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: nothing provides redhat-release >= 8.6 needed by remi-release-8.6-1.el

BTW, 8.6 seems to exist on http://repo.virtuozzo.com/vzlinux/

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

4 (edited by Futureweb 2022-06-21 12:24:47)

Re: nothing provides redhat-release >= 8.6 needed by remi-release-8.6-1.el

Hi Remi,
thanks you for the quick reply.
I've solved the whole thing now by simply converting from VZLinux to AlmaLinux. (almalinux-deploy - my Pull Request for VZLinux compatibility pending)
Thank you, best regards from Tyrol
Andy

Re: nothing provides redhat-release >= 8.6 needed by remi-release-8.6-1.el

smile

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi